{ config, pkgs, lib, ... }:
let
  accent = "#ffffff";
  background = "#000000";
  background-alt = "#000000";
  foreground = "##ffffff";
  rounding = 5;
  font-size = 25;
in {

  home.packages = with pkgs; [ wofi-emoji ];

  programs.wofi = {
    enable = true;

    settings = {
      allow_markup = true;
      width = 500;
      height = 400;
      show = "drun";
      prompt = "Launch...";
      normal_window = true;
      layer = "top";
      term = "foot";
      orientation = "vertical";
      halign = "fill";
      line_wrap = "off";
      dynamic_lines = false;
      allow_images = true;
      image_size = 24;
      exec_search = false;
      hide_search = false;
      parse_search = false;
      insensitive = true;
      hide_scroll = true;
      no_actions = true;
      sort_order = "default";
      gtk_dark = true;
      filter_rate = 100;
      key_expand = "Tab";
      key_exit = "Escape";
    };
  };
}
